Release Candidates

26 Aug 2010 : 09:47AM
 None    e107


0.7.24 rc1


Well, despite what we thought was some good testing of our 'stable' 0.7.23 prior to release, some users' installations became 'unstable' after upgrading.
We believe most of these issues have now been corrected, but rather than simply making another official release, we will be introducing beta 'release candidates' into our release process.
In retrospect, this is what we should have done with 0.7.23 - so we've learned our lesson. From now on, the stable 0.7 will remain as such, and release candidates will be made available prior to any official release. This will allow us (and yourselves) to test the code more thoroughly and will also give official translators more time to update and validate their language-packs so they are ready in time for the next official release.

We recommend that only experienced users upgrade to rc1, while less-experienced users may wish to stick with 0.7.22 or 0.7.23 (if it's running smoothly for you)

So, here's 0.7.24 release candidate 1. (rc1)

To upgrade from 0.7.x:

1. extract and overwrite your existing files
2. clear your site cache (admin->cache) and your browser's cache.
3. update/merge your .htaccess file (if you are using one) with the changes made in e107.htaccess
4. be sure you don't use footer_something.php override but the default footer_default.php in e107_themes/templates
5. post your bugs in the bugtracker when you find them.

Its also worth reiterating that if you use the browser's 'back' button, a subsequent 'posting' of data will generate the 'Access Denied' error - this is a security feature.

We'd particularly like to thank Allow and cyrus, who gave SecretR access to their sites to diagnose the problems (which weren't very obvious!) - without this constructive assistance things wouldn't have got fixed.

Cheers